Permanently deletes one or more Private Marketplace deal records by their internal numeric IDs.
Reference
POST https://YOUR-NETWORK-DOMAIN/rest-api/campaign/pmp-deals/delete.do
Permanently deletes one or more Private Marketplace deal records by their internal numeric IDs. Pass one or more IDs as repeated query parameters (e.g. ?ids=1&ids=2). Deleted deals are immediately removed from the campaign and will no longer appear in OpenRTB bid requests. Requires standard REST API authentication.
Form Params
idsarray<integer>required
One or more internal numeric IDs of the PMP deal records to permanently delete
using var client = new HttpClient();
var request = new HttpRequestMessage(new HttpMethod("POST"), "https://YOUR-NETWORK-DOMAIN/rest-api/campaign/pmp-deals/delete.do");
request.Headers.Add("X-Api-Key", "YOUR_API_KEY");
request.Content = new FormUrlEncodedContent(new Dictionary<string, string> { ["ids"] = "101" });
var response = await client.SendAsync(request);
Console.WriteLine(await response.Content.ReadAsStringAsync());